Bug 186339 - cpio can't extract rpm2cpio output
Summary: cpio can't extract rpm2cpio output
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpio (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-23 00:15 UTC by Miloslav Trmač
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 10:24:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miloslav Trmač 2006-03-23 00:15:50 UTC
Version-Release number of selected component (if applicable):
cpio-2.6-14.FC5

Steps to Reproduce:
$ rpm2cpio < ../cpio-2.6-11.2.1.i386.rpm |cpio -id

Actual results:
    cpio: premature end of file
reported after extracting the first file

Expected results:
whole archive extracted

Additional info:
cpio-2.6-11.2.1 works fine

Comment 1 Peter Vrabec 2006-03-23 10:24:12 UTC
fixed in cpio-2.6-15.FC5 

Comment 2 Miloslav Trmač 2006-03-23 20:11:43 UTC
Thanks!

Comment 3 Jima 2006-06-23 19:04:33 UTC
So this is why I've been reinstalling FC5 on my iMac all day. Thanks for the
update, guess I'll need to update this before anything else (i.e., glibc, ouch). :-)


Note You need to log in before you can comment on or make changes to this bug.